Index: frontend/src/Components/Resources/AddAvailability.js
===================================================================
--- frontend/src/Components/Resources/AddAvailability.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Resources/AddAvailability.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -1,3 +1,3 @@
-import React from "react";
+ import React from "react";
 import { Container, Row, Modal, Im } from "react-bootstrap";
 import { useState } from "react";
@@ -42,6 +42,6 @@
         <Modal.Body>
             {props.type === "hotel" && <AddHotelForm/>}
-            {props.type === "room" && <AddRoomAvailablityForm hotelRoomId={props.hotelRoomId}/>}
-            {props.type === "table" && <AddTableAvailablityForm table={props.table}/>}
+            {props.type === "room" && <AddRoomAvailablityForm refresh={props.refresh} close={props.closeModal}  hotelRoomId={props.hotelRoomId}/>}
+            {props.type === "table" && <AddTableAvailablityForm refresh={props.refresh} close={props.closeModal} table={props.table}/>}
             {props.type === "restaurant" && <AddRestaurantForm/>}
             {props.type === "transport" && <AddTransportForm/>}
Index: frontend/src/Components/Resources/AddImages.js
===================================================================
--- frontend/src/Components/Resources/AddImages.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Resources/AddImages.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -53,6 +53,4 @@
                     {!isLoading && data.map((image) => {
                         let link = image.url;
-                        console.log("SLIKATAAA")
-                        console.log(image)
                         if (image.url.includes('Desktop')) {
                             link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(image.url);
Index: frontend/src/Components/Resources/AddNew.js
===================================================================
--- frontend/src/Components/Resources/AddNew.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Resources/AddNew.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -56,8 +56,8 @@
         </Modal.Header>
         <Modal.Body>
-            {props.type === "hotel" && <AddHotelForm refresh={props.refresh}/>}
-            {props.type === "room" && <AddRoomForm refresh={props.refresh} hotelId={props.Id}/>}
-            {props.type === "restaurant" && <AddRestaurantForm edit="false" refresh={props.refresh}/>}
-            {props.type === "transport" && <AddTransportForm refresh={props.refresh}/>}
+            {props.type === "hotel" && <AddHotelForm closeModal={handleClose} refresh={props.refresh}/>}
+            {props.type === "room" && <AddRoomForm closeModal={handleClose} refresh={props.refresh} hotelId={props.Id}/>}
+            {props.type === "restaurant" && <AddRestaurantForm edit="false" closeModal={handleClose} refresh={props.refresh}/>}
+            {props.type === "transport" && <AddTransportForm closeModal={handleClose} refresh={props.refresh}/>}
             {props.type === "menu" && <AddItemMenuForm Id={props.Id} refresh={props.refresh}/>}
             {props.type === "route" && <AddTripForm transportId={props.transport.transportID} setSize={setSizeXl} refresh={props.refresh}/>}
Index: frontend/src/Components/Resources/EditModal.js
===================================================================
--- frontend/src/Components/Resources/EditModal.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Resources/EditModal.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -32,5 +32,5 @@
         </Modal.Header>
         <Modal.Body>
-            {props.type === "hotel" && <AddHotelForm/>}
+            {props.type === "hotel" && <AddHotelForm refresh={props.refresh}/>}
             {props.type === "room" && <EditRoomForm refresh={props.refresh} room={props.room}/>}
             {props.type === "restaurant" && <AddRestaurantForm edit="false" refresh={props.refresh}/>}
Index: frontend/src/Components/Resources/ResourceListing.js
===================================================================
--- frontend/src/Components/Resources/ResourceListing.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Resources/ResourceListing.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -8,11 +8,7 @@
 
 const ResourceListing = (props) => {
-  
-    console.log("props " + props.id)
-  
 
     const type = props.type == "hotel" ? "сместувањето" : props.type == "restaurant" ? "ресторанот" : "превозот";
     const name = props.type == "hotel" ? props.data.hotelName : props.type == "restaurant" ? props.data.restaurantName : props.data.transportName
-<<<<<<< HEAD
     const id = props.type == "hotel" ? props.data.hotelId : props.type == "restaurant" ? props.data.restaurantID : props.data.transportID
     console.log(props.data)
@@ -54,48 +50,8 @@
                     </Col>
 
-                    <Col className="d-flex flex-column justify-content-center align-content-center">
-                        <AddImages type={props.type} Id={id} />
-                    </Col>
+                    {props.type !== 'transport' && <Col className="d-flex flex-column justify-content-center align-content-center">
+                        <AddImages type={props.type} Id={id}/>
+                    </Col>}
                     <Col className="d-flex justify-content-center align-content-center">
-=======
-    const id = props.type == "hotel" ? props.data.hotelId : props.type == "restaurant" ? props.data.resturantId : props.data.transportID
-    return(<> 
-    <a href={`${props.type}/${id}`} style={{textDecoration: "none", color:"black"}}>
-        <Container className="py-3 px-1 my-4"
-        style={{
-          border: "4px solid #159895",
-          borderRadius: "1em",
-          boxShadow: "0 3px 5px #159895",
-          maxWidth: "90%",
-        }}>
-            <Row>
-                <Col className="d-flex justify-content-center">
-                    <Image
-                    src="https://www.imgacademy.com/sites/default/files/legacyhotel.jpg"
-                    style={{
-                        height: "8em",
-                        borderRadius: "1em",
-                        boxShadow: "0 4px 20px lightblue",
-                        maxWidth: "100%",
-                    }}
-                    ></Image>
-                </Col>
-                <Col >
-                    <h2 style={{textAlign: "left"}}>{name}</h2>
-                    {props.type === "hotel" && (<>
-                      <h5 style={{textAlign: "left"}}>{props.data.hotelLocation}</h5>
-                      <h5 style={{textAlign: "left"}}>{props.data.hotelEmail}</h5>
-                    </>)}
-                    {props.type === "restaurant" && (<>
-                      <h5 style={{textAlign: "left"}}>{props.data.restaurantLocation}</h5>
-                      <h5 style={{textAlign: "left"}}>{props.data.cousineType} кујна</h5>
-                    </>)}
-                    {props.type === "transport" && (<>
-                      <h5 style={{textAlign: "left"}}>{props.data.carBrand}</h5>
-                      <h5 style={{textAlign: "left"}}>{props.data.carPlate}</h5>
-                    </>)}
-                </Col>
-                <Col className="d-flex justify-content-center align-content-center" >
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
                   <span
                       style={{
Index: frontend/src/Components/Resources/ResourcesTab.js
===================================================================
--- frontend/src/Components/Resources/ResourcesTab.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Resources/ResourcesTab.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -10,5 +10,4 @@
 
 function ResourcesTab(props) {
-<<<<<<< HEAD
     const [activeTab, setActiveTab] = useState(props.tab);
     const userId = JSON.parse(localStorage.getItem("user")).userId;
@@ -36,37 +35,4 @@
                     <Nav.Item className="tab_item rounded-5">
                         <Nav.Link href="/resources/hotel" className="text-left rounded-5">
-=======
-  const [activeTab, setActiveTab] = useState(props.tab);
-  // const [changed, setChanged] = useState(0);
-  const userId = localStorage.getItem("userId");
-  const { data, setData, isLoading, getData, setChanged } = useGet(`${props.tab}/user/${userId}`);
-
-  const handleSelect = (eventKey) => {
-    setActiveTab(eventKey);
-    console.log(props.refresh);
-    props.refresh(eventKey);
-    console.log("refresh" + eventKey);
-  };
-
-  !isLoading && console.log(data);
-  console.log(props.tab);
-
-  return (
-    <Container className="rounded-5">
-      <Tab.Container
-        activeKey={activeTab}
-        onSelect={handleSelect}
-        className="bg-dark rounded-5"
-      >
-        <Nav
-          fill
-          variant="tabs"
-          className="bg-body rounded-top-5"
-          activeKey="/hotel"
-          id="tab_item"
-        >
-          <Nav.Item className="tab_item rounded-5">
-            <Nav.Link href="/resources/hotel" className="text-left rounded-5">
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
               <span className="ikona">
                 <FaHotel
@@ -101,5 +67,4 @@
                 </Nav>
 
-<<<<<<< HEAD
                 <Tab.Content className="py-5 px-3 border rounded-bottom-5 bg-light">
                     <Tab.Pane eventKey="/hotel" key="hotelPane">
@@ -150,57 +115,4 @@
         </Container>
     );
-=======
-        <Tab.Content className="py-5 px-3 border rounded-bottom-5 bg-light">
-          <Tab.Pane eventKey="/hotel" key="hotelPane">
-            {props.tab == "/hotel" && !isLoading && data != null &&
-              data.map((hotel) => {
-                return (
-                  <Link key={hotel.hotelId} to={"/resources/hotel/" + hotel.hotelId}>
-                    <ResourceListing
-                      key={hotel.hotelId}
-                      id={hotel.hotelId}
-                      type="hotel"
-                      data={hotel}
-                    />
-                  </Link>
-                );
-              })}
-            <AddNew type="hotel" refresh={setChanged} />
-          </Tab.Pane>
-          <Tab.Pane eventKey="/restaurant" key="restaurantPane">
-            {props.tab == "/restaurant" && !isLoading && data != null &&
-              data.map((restaurant) => {
-                console.log("mapiranje " + restaurant)
-                return (
-                  <Link key={restaurant.restaurantId} to={"/resources/restaurant/" + restaurant.restaurantID}>
-                    <ResourceListing
-                      key={restaurant.restaurantId}
-                      type="restaurant"
-                      data={restaurant}
-                    />
-                  </Link>
-                );
-              })}
-            <AddNew type="restaurant" refresh={setChanged}/>
-          </Tab.Pane>
-          <Tab.Pane eventKey="/transport" key="transportPane">
-            {props.tab == "/transport" && !isLoading && data.length > 0 &&
-              data.map((transport) => {
-                return (
-                  <ResourceListing
-                    key={transport.transportId}
-                    id={transport.transportId}
-                    type="transport"
-                    data={transport}
-                  />
-                );
-              })}
-            <AddNew type="transport" refresh={setChanged}/>
-          </Tab.Pane>
-        </Tab.Content>
-      </Tab.Container>
-    </Container>
-  );
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 }
 
